> ## Documentation Index
> Fetch the complete documentation index at: https://docs.apigene.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Context List

> Endpoint to list all contexts associated with the current tenant.

Args:

Returns:
    List[Context]: A list of all `Context` model instances stored under the tenant.

Raises:
    HTTPException 500: If an error occurs while retrieving contexts from the database.



## OpenAPI

````yaml get /api/context
openapi: 3.1.0
info:
  title: Apigene
  description: Apigene API
  version: 1.0.0
  contact:
    name: Apigene Support
    url: https://app.apigene.ai
    email: support@apigene.ai
servers:
  - url: https://app.apigene.ai
security:
  - BearerAuth: []
paths:
  /api/context:
    get:
      tags:
        - Context
      summary: Context List
      description: |-
        Endpoint to list all contexts associated with the current tenant.

        Args:

        Returns:
            List[Context]: A list of all `Context` model instances stored under the tenant.

        Raises:
            HTTPException 500: If an error occurs while retrieving contexts from the database.
      operationId: context_list
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/Context'
                type: array
                title: Response Context List
      security:
        - BearerAuth: []
components:
  schemas:
    Context:
      properties:
        id:
          type: string
          title: Id
          description: Unique identifier for the context
        name:
          type: string
          title: Name
          description: Name of the context
        description:
          type: string
          title: Description
          description: Description of the context
        apps:
          items:
            type: string
          type: array
          title: Apps
          description: List of associated apps
          default: []
        created_by:
          type: string
          title: Created By
          description: User who created the context
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time when the context was created.
        updated_at:
          type: string
          format: date-time
          title: Updated At
          description: The date and time when the context was last updated.
      type: object
      required:
        - name
        - description
        - created_by
      title: Context
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        'Authorization: Bearer {token}'

````